
Redmine - Defect #32608

Watchers Invalid error when copying issue between project while users are member

2019-12-11 15:59 - Taine Woo

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Project1: adding members one by one for each users.

Project2: adding members using the group, which group contains all the users of Project1.

Issue1 is created in Project1, with watchers of Project1.

Copy issue, set project as Project2, Watchers Invalid error pop up when submitting.

History

#1 - 2019-12-12 01:26 - Go MAEDA

- Status changed from New to Needs feedback

I could not reproduce the error with 4.0.5.devel.19362.

What version of Redmine do you use?

Do you see any error in log/production.log?

Do you use any plugin? If so, please try again after uninstalling all plugins.

#2 - 2019-12-12 08:37 - Taine Woo

Hi Go MAEDA,

The version of Redmine i'm using is 4.0.3.

And there is no error logs in it, and I checked the the string, is this the valid value of watchers?

"watcher_user_ids"=>["", "314", "261", "169", "305", "249", "356", "413"]

And If user delete the watchers before submit the copy, it will be ok to submit.

"watcher_user_ids"=>[""]
